from pyramid.view import notfound_view_config, view_config

from ordr.models.account import TokenExpired


@notfound_view_config(
    renderer='ordr:templates/errors/404_file_not_found.jinja2'
    )
def notfound_view(context, request):
    ''' display a file not found page '''
    request.response.status = 404
    return {}


@view_config(
    context=TokenExpired,
    renderer='ordr:templates/errors/410_token_expiry.jinja2'
    )
def token_expired(context, request):
    ''' display page describing expired token '''
    request.response.status = 410
    return {}
